NAME
    near - compare nearness of two numbers with a standard

SYNOPSIS
    near(x, y [,eps])

TYPES
    x		real
    y		real
    eps		real, defaults to epsilon()

    return	-1, 0 or 1

DESCRIPTION
    Returns:
	-1	if abs(x - y) < abs(eps)
	0	if abs(x - y) = abs(eps)
	1	if abs(x - y) > abs(eps)

EXAMPLE
    > print near(22/7, 3.15, .01), near(22/7, 3.15, .005)
    -1 1

LIMITS
    eps >= 0

LINK LIBRARY
    FLAG qnear(NUMBER *x, NUMBER *y, NUMBER *eps)

SEE ALSO
    epsilon, abs

## Copyright (C) 1999  Landon Curt Noll
##
## Calc is open software; you can redistribute it and/or modify it under
## the terms of the version 2.1 of the GNU Lesser General Public License
## as published by the Free Software Foundation.
##
## Calc is distributed in the hope that it will be useful, but WITHOUT
## ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
## or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU Lesser General
## Public License for more details.
##
## A copy of version 2.1 of the GNU Lesser General Public License is
## distributed with calc under the filename COPYING-LGPL.  You should have
## received a copy with calc; if not, write to Free Software Foundation, Inc.
## 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
##
## @(#) $Revision: 29.1 $
## @(#) $Id: near,v 29.1 1999/12/14 09:16:00 chongo Exp $
## @(#) $Source: /usr/local/src/cmd/calc/help/RCS/near,v $
##
## Under source code control:	1995/10/25 04:03:46
## File existed as early as:	1995
##
## chongo <was here> /\oo/\	http://reality.sgi.com/chongo/
## Share and enjoy!  :-)	http://reality.sgi.com/chongo/tech/comp/calc/
